Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6062 - Multiple shared libraries with same methods defined
Summary: Multiple shared libraries with same methods defined
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: python
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-18 18:49 UTC by mike.olson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-18 23:40:31 UTC


Attachments (Terms of Use)

Description mike.olson 1999-10-18 18:49:42 UTC
I have 2 shared libraries that both define symbols of the
same name.  When I import these modules into python and call
the method with the shared name, I always exectue the method
of the last module imported.

Ex: If I have 2 shared modules written in C, each with a
different module name, but both having a function called
foo, the following code breaks.

import A
import B
A.foo() #Really calls B.foo

My code that uses this was originally written and worked
with the non-redhat rpms available at
http://andrich.net/python/files/python-1.5.2-2.i386.rpm

Mike

Comment 1 Michael K. Johnson 1999-11-18 23:40:59 UTC
http://andrich.net/python/files/python-1.5.2-2.src.rpm
Not Found

The requested URL /python/files/python-1.5.2-2.src.rpm was not found
on this server.

Binary rpms don't do us much good...  :-)

Unfortunately, the patch that I believe breaks this for you appears
to have been added to fix something else.  I'm assigning this bug
to the developer who added that patch.  (Matt, it's
python-1.5.2-dl-global.patch -- what's this about libtool, and why
is the patch there in the first place?)

Comment 2 Matt Wilson 2001-01-27 02:08:46 UTC
Unfortunately I can't address this until we start using the Python 2.0 package.



Note You need to log in before you can comment on or make changes to this bug.